// Copyright 2018 Drone.IO Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

//go:build !cgo
// +build !cgo

package datastore

import (
	_ "github.com/go-sql-driver/mysql"
	_ "github.com/lib/pq"
)

// Supported database drivers
const (
	DriverMysql    = "mysql"
	DriverPostgres = "postgres"
)

func SupportedDriver(driver string) bool {
	switch driver {
	case DriverMysql, DriverPostgres:
		return true
	default:
		return false
	}
}
